/*  header css for dusubmarine */

/* common button */
.btn-primary {
	display: inline-block;
	padding: 10px 24px 10px 24px;
	font-size: 18px;
	color: #181819 !important;
	font-weight: 500;
	font-size: 18px;
	font-family: "Inter", sans-serif;
	border-radius: 50px;
	background-color: #efec5f;
	transition: all 0.2s ease;
	text-decoration: none !important;
}
.btn-primary:hover {
	background: #edf2f7;
}
a.btn-primary.btn-custom-contact {
	background: transparent !important;
	color: #fff !important;
	border: 1px solid #fff;
	padding: 9px 24px 9px 24px;
}
a.btn-primary.btn-custom-contact:hover {
	background-color: #fff !important;
	color: #181819 !important;
}

.cta-button-wrap {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
}
@media (min-width: 768px) {
	.cta-button-wrap {
		gap: 1rem;
		flex-direction: row;
		justify-content: center;
	}
}

/* header quick contact style */

/* hero style */
.hero-button-icon svg,
.hero-button-icon img {
	width: 24px;
	height: 24px !important;
}

/* instagram, telegram button icon size */
.insta-tele-button svg {
	height: 1.5rem !important;
	width: 1.5rem !important;
}
.insta-tele-button a:hover {
	color: #fff !important;
}
.elementor-button .elementor-button-content-wrapper {
	gap: 10px;
	align-items: center !important;
}

/* archive page  */

.grid-cols {
	gap: 1.5rem !important;
}
.entry-summary {
	color: #151515;
}
.loop-entry .entry-content-wrap {
	padding: 1.5rem !important;
}
p.more-link-wrap {
	color: #595454;
}

.blog .content-container.site-container,
.wp-singular.post-template-default.single.single-post
	.content-container.site-container {
	padding-bottom: 15rem !important;
}

/* a.post-more-link:hover {
	color: #efec5f !important;
} */
p.more-link-wrap a {
    color: #595454;
    text-transform: none !important;
}
.loop-entry .entry-summary p,
.loop-entry .entry-header .entry-meta {
	margin: 0 !important;
}
.entry.loop-entry {
	border-radius: 14px !important;
	box-shadow: 0px 15px 15px -10px rgba(0, 0, 0, 0.05);
	overflow: hidden !important;
}
/* a:hover,
a:focus,
a:active {
	color: #efec5f !important;
} */

/* post details page  */
.entry-content-wrap {
	color: #151515;
	line-height: 1.6;
	font-size: 18px;
	padding: 2rem;
}
.loop-entry .entry-header .entry-title {
	color: #151515 !important;
	margin-bottom: 8px !important;
	margin: 0;
}
.tagcloud .tag-cloud-link {
	font-size: 16px !important;
}
.post-thumbnail-inner {
	border-radius: 14px !important;
	overflow: hidden;
}

.highlighted-text {
	color: #ffc221;
}

.cta-button svg {
	width: 36px !important;
	height: 36px !important;
}
.cta-button .elementor-button:hover {
	color: #fedc21 !important;
}

/* latest post thumbnail  */
.latest-thumb-widget {
	display: flex;
	flex-direction: column;
	gap: 12px;
}
.widget-area .widget-title {
	margin-bottom: 1.5rem !important;
}
.sidebar-inner-wrap section {
	padding: 20px;
	background-color: #ffffff0f;
	border-radius: 4px;
}

.latest-thumb-item .thumbnail {
	display: block;

	overflow: hidden !important;
}

.latest-thumb-item .thumbnail img {
	width: 150px;
	object-fit: cover;
	border-radius: 8px;
}

.latest-thumb-item {
	display: grid;
	grid-template-columns: 3.5fr 8.5fr;
	gap: 12px;
	margin-bottom: 12px;
	font-size: 16px;
}

.latest-thumb-item h4 {
	font-size: 16px;
}

.latest-thumb-item a {
	text-decoration: none;
}
.latest-thumb-item p {
	margin: 0px 0px 5px 0px !important;
}

/* categories style  */
.widget_categories ul li {
	border: 1px solid #efec5f;
	padding: 0.1rem 0.5rem;
	border-radius: 4px;
	display: inline-block;
	line-height: 1em;
	font-size: 15px;
}
.widget_categories ul li a:hover {
	text-decoration: none !important;
}

/* base state: set transition and allow transforms on SVG */
.cta-button .elementor-button svg {
	display: inline-block;
	transform-origin: center center;
	transform-box: fill-box; /* ensures correct origin for SVG */
	transition: transform 0.3s ease;
}

/* hover state: target the svg when the button is hovered */
.cta-button .elementor-button:hover svg {
	transform: scale(1.2) !important;
}

.cta-button .elementor-button-content-wrapper {
	display: flex;
	justify-content: center;
	align-items: center;
}
.text-litegray {
	color: #888888;
}
/* Remove default bottom margins from Kadence blocks */
.entry-content > * {
	margin-bottom: 0 !important;
}
/* Fix editor-only spacing */
.elementor-editor-active .elementor-element {
	margin-bottom: 0 !important;
}
/* Font Awesome icon in Fluent Form input */
/* Add icon inside input field */

.input-icon input {
	background-repeat: no-repeat;
	background-position: 10px center;
	background-size: 24px;
	padding-left: 36px;
}
.input-icon textarea {
	background-repeat: no-repeat;
	background-position: 10px 10px;
	background-size: 24px;
	padding-left: 36px;
}
.input-icon-name input {
	background-image: url(/wp-content/uploads/2025/10/input-icon-name.svg) !important;
}
.input-icon-phone input {
	background-image: url(/wp-content/uploads/2025/10/input-icon-call.svg) !important;
}

.input-icon-mail input {
	background-image: url(/wp-content/uploads/2025/10/input-icon-mail.svg) !important;
}

.input-icon-subject input {
	background-image: url(/wp-content/uploads/2025/10/input-subject-icon.svg) !important;
}

.input-icon-text textarea {
	background-image: url(/wp-content/uploads/2025/10/input-icon-pen-1.svg) !important;
}

/* service card hover animation  */
.service-card:hover .read-more-btn {
	transform: translateX(0%);
}

/* break none on mobile device  */
@media (max-width: 767px) {
	br {
		display: none;
	}
	.footer-description {
		margin-bottom: 20px !important;
	}
	/* .blog */
	.blog .content-area {
		margin-top: 2rem;
	}
	.loop-entry .entry-content-wrap {
		padding: 1rem !important;
	}
}

@media (min-width: 769px) {
	.sticky-service-sidebar {
		position: -webkit-sticky;
		position: sticky;
		top: 120px;
	}
}

/* default paragraph margin reset  */
p {
	margin: 0;
}

/* footer control  */
.site-middle-footer-inner-wrap.site-footer-row .widget-title {
	margin-bottom: 20px !important;
	color: #fff;
}
.footer-description {
	margin-bottom: 30px !important;
}

/* 1024px → 768px: 3 columns */
@media (max-width: 1024px) and (min-width: 768px) {
	.site-footer-row-container-inner
		.site-container
		.site-middle-footer-inner-wrap.site-footer-row {
		padding-top: 200px;
	}
}

/* 767px → 480px: 2 columns */

/* ≤ 479px: 1 column */
@media (max-width: 479px) {
	.site-middle-footer-inner-wrap {
		grid-template-columns: 1fr !important;
		gap: 40px !important;
	}
	.footer-cta {
		padding: 0px !important;
	}
	.site-footer-row-container-inner
		.site-container
		.site-middle-footer-inner-wrap.site-footer-row {
		padding-top: 280px;
	}
}

/* products */
.service-card img {
	transition: transform 0.2s ease;
}

.service-card:hover img {
	transform: scale(1.1) !important;
}

/* faq style  */

/* default (closed state) */
.main-faq details.e-n-accordion-item {
	border-radius: 12px;
	background:
		linear-gradient(
			180deg,
			rgba(255, 255, 255, 0) 0%,
			rgba(171, 171, 171, 0.06) 100%
		),
		#fff;
	box-shadow:
		0 -2.4px 0 0 rgba(61, 61, 61, 0.04) inset,
		0 1px 3px 0 rgba(143, 143, 143, 0.2),
		0 0 0 1px #eaeaea;
}

/* when <details> is open */
.main-faq details.e-n-accordion-item[open] {
	border-radius: 20px;
	box-shadow: none;
	background:
		linear-gradient(
			180deg,
			rgba(255, 255, 255, 0) 0%,
			rgba(171, 171, 171, 0.06) 100%
		),
		#f4f9fb;
}
.main-faq details.e-n-accordion-item[open] .e-n-accordion-item-title {
	padding-bottom: 10px !important;
}
.main-faq details.e-n-accordion-item[open] .elementor-element {
	padding-bottom: 11px !important;
}

/* testimonial section's style  */
.testimonial-card {
	backdrop-filter: blur(5px);
}
.testimonial-card-inner {
	backdrop-filter: blur(5px);
	position: relative;
}
.author-image {
	left: 50% !important;
	top: 0 !important;
	transform: translate(-50%, -50%) !important;
}

/* site footer layer  */

.site-footer-row-container-inner {
	position: relative;
}

.site-footer-row-container-inner h2 {
	color: #fff;
	text-transform: none !important;
	font-size: 24px !important;
	font-weight: 700;
	line-height: 1.3;
}

.site-footer-row-container-inner .site-container {
	position: relative;
	z-index: 10;
}
.site-footer-row-container-inner
	.site-container
	.site-middle-footer-inner-wrap.site-footer-row {
	padding-top: 280px;
}
@media (min-width: 480px) {
	.site-footer-row-container-inner
		.site-container
		.site-middle-footer-inner-wrap.site-footer-row {
		padding-top: 280px;
	}
}
@media (min-width: 768px) {
	.site-footer-row-container-inner
		.site-container
		.site-middle-footer-inner-wrap.site-footer-row {
		padding-top: 200px;
	}
}
@media (min-width: 1024px) {
	.site-footer-row-container-inner
		.site-container
		.site-middle-footer-inner-wrap.site-footer-row {
		padding-top: 270px;
		grid-template-columns:
			minmax(0, 1.5fr) minmax(0, 1fr) minmax(0, 1fr)
			minmax(0, 1fr) !important;
	}
	.site-footer-row-container-inner .site-footer-middle-section-1 {
		max-width: 430px !important;
		padding-right: 2rem;
	}
}

/* footer socials  */
.footer__social {
	margin-top: 16px;
	display: flex;
	align-items: center;
	gap: 9px;
}

.footer-cta {
	max-width: 1000px;
	margin: 0 auto;
	color: #fff;
	padding: 1.5rem;
}
@media (min-width: 768px) {
	.footer-cta {
		padding: 2rem;
	}
}
@media (min-width: 1024px) {
	.footer-cta {
		padding: 3.5rem;
	}
}
.footer-cta h2 {
	font-size: 28px !important;
	font-family: "Heebo";
	font-weight: 500;
	line-height: 1.2em;
	text-align: center;
	margin-bottom: 20px;
}
@media (min-width: 768px) {
	.footer-cta h2 {
		font-size: 36px !important;
	}
}
@media (min-width: 1024px) {
	.footer-cta h2 {
		font-size: 52px !important;
	}
}

.footer-cta p {
	font-size: 18px;
	line-height: 1.5em;
	margin-bottom: 40px;
}

.footer__social .footer__social__link {
	background-color: #444c5e;
	width: 45px;
	aspect-ratio: 1 / 1;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 50%;
	transition: 0.3s;
	transition: 0.3s;
}
.footer__social .footer__social__link:hover {
	transform: translateY(-10px);
}
.footer-socials a svg {
	width: 16px;
	height: 16px;
}

.footer-socials a {
	display: flex;
	width: 40px;
	padding: 12px;
	height: 40px;
	background: rgb(255 255 255 / 14%);
	border-radius: 50%;
	backdrop-filter: blur(10px);
}

/* footer contact infoa  */
.footer-contact-wrap {
	display: flex;
	flex-direction: column;
	gap: 15px;
}

.footer-contact-wrap svg {
	margin-top: 3px;
	width: 24px;
	height: 24px;
	flex-shrink: 0;
}

.footer-contact-wrap .footer-contact-info {
	display: flex;
	gap: 12px;
	flex-wrap: wrap;
}
@media (min-width: 1400px) {
	.footer-contact-wrap .footer-contact-info {
		flex-wrap: nowrap;
	}
}

.site-middle-footer-wrap.site-footer-row-container {
	position: relative;
}

.site-top-footer-wrap.site-footer-row-container {
	height: 416px;
	position: absolute;
	margin-top: -208px;
	width: 100%;
	left: 50%;
	transform: translateX(-50%);
	z-index: 199;
}

.site-top-footer-wrap.site-footer-row-container
	.site-footer-row-container-inner
	.site-container {
	overflow: hidden;
	border-radius: 40px !important;
	background-image: url("../image/bg-fallback.webp");
	background-position: center bottom;
}

.footer-cta {
	position: relative;
	z-index: 10;
}
.site-top-footer-wrap.site-footer-row-container
	.site-footer-row-container-inner
	.site-container::after {
	content: "";
	width: 100%;
	background-image: linear-gradient(to bottom, #00000063, #000000ba);
	position: absolute;
	inset: 0;
	z-index: 1;
}

.video-gallery .elementor-wrapper.elementor-open-lightbox {
	height: 100% !important;
}
